Bug 1270526 - [abrt] youtube-dl: ssl.py:165:read:SSLError: The read operation timed out
[abrt] youtube-dl: ssl.py:165:read:SSLError: The read operation timed out
Product: Fedora
Classification: Fedora
Component: youtube-dl (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-10-10 12:35 EDT by Timothy M. Butterworth
Modified: 2015-12-02 13:20 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-12-02 10:38:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: backtrace (2.35 KB, text/plain)
2015-10-10 12:35 EDT, Timothy M. Butterworth
no flags Details
File: environ (3.96 KB, text/plain)
2015-10-10 12:35 EDT, Timothy M. Butterworth
no flags Details

  None (edit)
Description Timothy M. Butterworth 2015-10-10 12:35:34 EDT
Version-Release number of selected component:

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python2 /bin/youtube-dl https://youtu.be/h1k-N5FEKcE
dso_list:       python-libs-2.7.8-11.fc21.x86_64
executable:     /bin/youtube-dl
kernel:         4.1.5-100.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
ssl.py:165:read:SSLError: The read operation timed out

Traceback (most recent call last):
  File "/bin/youtube-dl", line 6, in <module>
  File "/usr/lib/python2.7/site-packages/youtube_dl/__init__.py", line 410, in main
  File "/usr/lib/python2.7/site-packages/youtube_dl/__init__.py", line 400, in _real_main
    retcode = ydl.download(all_urls)
  File "/usr/lib/python2.7/site-packages/youtube_dl/YoutubeDL.py", line 1653, in download
    url, force_generic_extractor=self.params.get('force_generic_extractor', False))
  File "/usr/lib/python2.7/site-packages/youtube_dl/YoutubeDL.py", line 655, in extract_info
    ie_result = ie.extract(url)
  File "/usr/lib/python2.7/site-packages/youtube_dl/extractor/common.py", line 282, in extract
    return self._real_extract(url)
  File "/usr/lib/python2.7/site-packages/youtube_dl/extractor/youtube.py", line 1045, in _real_extract
    errnote='unable to download video info webpage')
  File "/usr/lib/python2.7/site-packages/youtube_dl/extractor/common.py", line 433, in _download_webpage
    res = self._download_webpage_handle(url_or_request, video_id, note, errnote, fatal, encoding=encoding)
  File "/usr/lib/python2.7/site-packages/youtube_dl/extractor/common.py", line 344, in _download_webpage_handle
    content = self._webpage_read_content(urlh, url_or_request, video_id, note, errnote, fatal, encoding=encoding)
  File "/usr/lib/python2.7/site-packages/youtube_dl/extractor/common.py", line 366, in _webpage_read_content
    webpage_bytes = urlh.read()
  File "/usr/lib64/python2.7/socket.py", line 351, in read
    data = self._sock.recv(rbufsize)
  File "/usr/lib64/python2.7/httplib.py", line 543, in read
    return self._read_chunked(amt)
  File "/usr/lib64/python2.7/httplib.py", line 603, in _read_chunked
  File "/usr/lib64/python2.7/httplib.py", line 658, in _safe_read
    chunk = self.fp.read(min(amt, MAXAMOUNT))
  File "/usr/lib64/python2.7/socket.py", line 380, in read
    data = self._sock.recv(left)
  File "/usr/lib64/python2.7/ssl.py", line 246, in recv
    return self.read(buflen)
  File "/usr/lib64/python2.7/ssl.py", line 165, in read
    return self._sslobj.read(len)
SSLError: The read operation timed out

Local variables in innermost frame:
x: SSLError('The read operation timed out',)
self: <ssl.SSLSocket object at 0x7f9267bb2230>
len: 3154
Comment 1 Timothy M. Butterworth 2015-10-10 12:35:37 EDT
Created attachment 1081648 [details]
File: backtrace
Comment 2 Timothy M. Butterworth 2015-10-10 12:35:38 EDT
Created attachment 1081649 [details]
File: environ
Comment 3 Fedora End Of Life 2015-11-04 05:13:16 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-12-02 10:38:34 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.